plotStringencyGene {lumi} | R Documentation

## plot the Stringency related control probe profiles

### Description

Plot the Stringency related control probe (Low-Stringency, Medium-Stringency and High-Stringency) profiles. Using getControlType function to view available stringency types.

### Usage

    plotStringencyGene(controlData, lib = NULL, slideIndex = NULL, addLegend = TRUE, logMode = TRUE, ...)

### Arguments

`controlData` | a LumiBatch object including control data or a control data data.frame
`lib` | the annotation library (for retrieving the gene name)
`slideIndex` | the slide index or ID corresponding to each sample
`addLegend` | whether add legend or not
`logMode` | whether show the data in log2 scale
`...` | other parameters used by default matplot function

### Value

plot the picture and return TRUE if everything is OK

### Author(s)

Pan Du

### See Also

`addControlData2lumi`, `plotControlData`

### Examples

            controlFile <- system.file('doc', 'Control_Probe_Profile.txt', package='lumi')
            controlData <- getControlData(controlFile)
            plotStringencyGene(controlData)

[Package lumi version 1.10.2 Index]